/* chipset.h, types and prototypes for the map tileset management.
   Copyright (C) 2015 EasyRPG Project <https://github.com/EasyRPG/>.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

#ifndef CHIPSET_H
#define CHIPSET_H

// *****************************************************************************
// =============================================================================
    #include <stdlib.h>
    #include <stdio.h>
    #include "SDL.h"
// =============================================================================
// *****************************************************************************

    // === Chipset structure ===================================================
    struct stChipset
    {
	// --- Fields declaration ----------------------------------------------

        // The chipset structure holds the graphic tileset of a chipset, as well
        // as their properties and the methods for correctly displaying them.
        SDL_Surface * BaseSurface;      // Chipset's base surface!
        SDL_Surface * ChipsetSurface;   // Chipset's precalculated surface

        // --- Methods declaration ---------------------------------------------
        bool GenerateFromSurface(SDL_Surface * Surface);
        void Release();

        void RenderTile(SDL_Surface * Destiny, int x, int y, unsigned short Tile, int Frame);
        void RenderWaterTile(SDL_Surface * Destiny, int x, int y, int Frame, int Border, int Water, int Combination);
        void RenderDepthTile(SDL_Surface * Destiny, int x, int y, int Frame, int Depth, int DepthCombination);
        void RenderTerrainTile(SDL_Surface * Destiny, int x, int y, int Terrain, int Combination);
        void DrawSurface(SDL_Surface* destiny, int dX, int dY, SDL_Surface* source, int sX, int sY, int sW, int sH);
    };

#endif
